includes("Blitz.lua")

-- Tests were introduced in that version
set_xmakever("2.8.5")

-- Tests
for _, file in ipairs(os.files("../test/test_*.cpp")) do
    local name = path.basename(file)
    target(name)
        set_kind("binary")

        add_includedirs("../include")
        add_files("../test/" .. name .. ".cpp")

        set_default(false)

        add_deps("Blitz")

        add_tests("compile_and_run")
end
